//
// Description: Commonly used constants in the templates
// Author     : Silvan Zahno
//
// Fontsizes
#let tinyer  = 6pt
#let tiny    = 8pt
#let smaller = 9pt
#let small   = 10pt
#let normal  = 11pt
#let large   = 14pt
#let larger  = 16pt
#let huge    = 24pt
#let huger   = 36pt

// fontsize+
#let tinyer_p  = tinyer+5pt
#let tiny_p    = tiny+5pt
#let smaller_p = smaller+5pt
#let small_p   = small+5pt
#let normal_p  = normal+5pt
#let large_p   = large+5pt
#let larger_p  = larger+5pt
#let huge_p    = huge+5pt
#let huger_p   = huger+5pt

// fontsizes++
#let tinyer_pp  = tinyer+10pt
#let tiny_pp    = tiny+10pt
#let smaller_pp = smaller+10pt
#let small_pp   = small+10pt
#let normal_pp  = normal+10pt
#let large_pp   = large+10pt
#let larger_pp  = larger+10pt
#let huge_pp    = huge+10pt
#let huger_pp   = huger+10pt

// Colors
#let box-border      = rgb("#252525")
#let code-bg         = rgb("#F5F5F5")
#let code-border     = rgb("#F5F5F5").darken(10%)
#let gray-80         = rgb("#000000").lighten(20%)
#let gray-70         = rgb("#000000").lighten(30%)
#let gray-60         = rgb("#000000").lighten(40%)
#let gray-50         = rgb("#000000").lighten(50%)
#let gray-40         = rgb("#000000").lighten(60%)
#let gray-30         = rgb("#000000").lighten(70%)
#let gray-20         = rgb("#000000").lighten(80%)
#let gray-10         = rgb("#000000").lighten(90%)
#let hei-orange      = rgb("#eb6a28").darken(20%)
#let hei-blue        = rgb("#0095d8").darken(20%)
#let hei-pink        = rgb("#da0066").darken(20%)
#let hei-yellow      = rgb("#f5c400").darken(20%)
#let hei-green       = rgb("#00925a").darken(20%)
#let spl-green       = rgb("#bed600").darken(20%)
#let spl-blue        = rgb("#00a9e0").darken(20%)
#let spl-pink        = rgb("#da0066").darken(20%)
#let color-info      = rgb("#5b75a0ff")
#let color-idea      = rgb("#ffe082ff")
#let color-warning   = rgb("#ffce31ff")
#let color-important = rgb("#f44336ff")
#let color-fire      = rgb("#fc9502ff")
#let color-rocket    = rgb("#bc5fd3ff")
#let color-todo      = rgb("#F5F5F5").darken(10%)

// Resources
#let icons-folder      = "../00-templates/icons/"
#let resources-folder  = "../04-resources/"
#let icon              = resources-folder + "icon.svg"
#let icon-check-badge  = icons-folder + "check-badge.svg"
#let icon-check-circle = icons-folder + "check-circle.svg"
#let icon-check-square = icons-folder + "check-square.svg"
#let icon-check        = icons-folder + "check.svg"
#let icon-circle       = icons-folder + "circle.svg"
#let icon-file         = icons-folder + "file.svg"
#let icon-fire         = icons-folder + "fire.svg"
#let icon-folder       = icons-folder + "folder.svg"
#let icon-idea         = icons-folder + "idea.svg"
#let icon-important    = icons-folder + "important.svg"
#let icon-info         = icons-folder + "info.svg"
#let icon-rocket       = icons-folder + "rocket.svg"
#let icon-square       = icons-folder + "square.svg"
#let icon-todo         = icons-folder + "todo.svg"
#let icon-warning      = icons-folder + "warning.svg"
#let icon-x-circle     = icons-folder + "x-circle.svg"
#let icon-x-square     = icons-folder + "x-square.svg"
#let icon-x            = icons-folder + "x.svg"
