//
// Description: Main document to stitch everything together
//
#import "00-templates/template-thesis.typ": *
#import "01-settings/metadata.typ": *

//-------------------------------------
// Template config
//
#show: thesis.with(
  title: title,
  subtitle: subtitle,
  version: version,
  author: author,
  school: school,
  date: date,
  tableof: tableof,
  icons: icons,
)

//-------------------------------------
// Introduction
//

#pagebreak()
= Introduction <sec:intro>
== Context Problem
During the second semester of the third year of the Bachelor's degree in Systems Engineering, we had to design an antenna for 2.45 GHz. This project was carried out in the context of the course "Electronic 2" taught #professor.name at #school.name.

== Objectives
The main objectives of this project was: 
- Design an antenna on a PCB with Ansys
- Simulate it with Ansys for find right parameters
- Design the PCB with Altium Designer for fabrication by Eurocircuits
- Solder the components on the PCB
- Test the Antenna
- Anylize the results

//-------------------------------------
// Content
//
#pagebreak()
= Design <sec:design>

//-------------------------------------
// Conclusion
//
#pagebreak()
= Conclusion <sec:conclusion>

== Project summary

#lorem(50)

== Comparison with the initial objectives

#lorem(50)

== Encountered difficulties

#lorem(50)

== Future perspectives

#lorem(50)


//-------------------------------------
// Appendix
//
#include "03-tail/a-appendix.typ"

//-------------------------------------
// Bibliography
//
#if bib == true {
  include "03-tail/bibliography.typ"
}